Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4550)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4559)
@@ -2709,17 +2719,18 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Call for grid points i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 
     SUBROUTINE chem_actions_ij( i, j, location )
 
+    CHARACTER (LEN=*), INTENT(IN) ::  location  !< call location string
+
+    INTEGER(iwp)  ::  dummy                     !< call location string
 
     INTEGER(iwp),      INTENT(IN) ::  i         !< grid index in x-direction
     INTEGER(iwp),      INTENT(IN) ::  j         !< grid index in y-direction
-    CHARACTER (LEN=*), INTENT(IN) ::  location  !< call location string
-    INTEGER(iwp)  ::  dummy  !< call location string
 
     IF ( air_chemistry    )   dummy = i + j
@@ -2736,9 +2747,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Call for all grid points
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE chem_non_advective_processes()
 
@@ -2747,11 +2758,9 @@
       INTEGER(iwp) ::  j  !<
 
-      !
-      !-- Calculation of chemical reactions and deposition.
-
-
-      IF ( intermediate_timestep_count == 1 .OR. call_chem_at_all_substeps )  THEN
-
-         IF ( chem_gasphase_on ) THEN
+!
+!--   Calculation of chemical reactions and deposition.
+      IF ( intermediate_timestep_count == 1  .OR.  call_chem_at_all_substeps )  THEN
+
+         IF ( chem_gasphase_on )  THEN
             CALL cpu_log( log_point_s(19), 'chem.reactions', 'start' )
             !$OMP PARALLEL PRIVATE (i,j)
@@ -2783,9 +2792,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Call for grid points i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_non_advective_processes_ij( i, j )
 
@@ -2796,9 +2805,7 @@
 !
 !-- Calculation of chemical reactions and deposition.
-
-
-   IF ( intermediate_timestep_count == 1 .OR. call_chem_at_all_substeps )  THEN
-
-      IF ( chem_gasphase_on ) THEN
+   IF ( intermediate_timestep_count == 1  .OR.  call_chem_at_all_substeps )  THEN
+
+      IF ( chem_gasphase_on )  THEN
          CALL cpu_log( log_point_s(19), 'chem.reactions', 'start' )
          CALL chem_integrate( i, j )
@@ -2817,19 +2824,19 @@
 
  END SUBROUTINE chem_non_advective_processes_ij
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> routine for exchange horiz of chemical quantities  
-!------------------------------------------------------------------------------! 
+!> routine for exchange horiz of chemical quantities
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_exchange_horiz_bounds
-  
-    USE exchange_horiz_mod,                                                    &
+
+    USE exchange_horiz_mod,                                                                        &
         ONLY:  exchange_horiz
 
    INTEGER(iwp) ::  lsp       !<
- 
-!
-!--    Loop over chemical species       
+
+!
+!--    Loop over chemical species
        CALL cpu_log( log_point_s(84), 'chem.exch-horiz', 'start' )
        DO  lsp = 1, nvar
@@ -2845,13 +2852,11 @@
  END SUBROUTINE chem_exchange_horiz_bounds
 
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Subroutine calculating prognostic equations for chemical species 
-!> (vector-optimized).
-!> Routine is called separately for each chemical species over a loop from
-!> prognostic_equations.
-!------------------------------------------------------------------------------!
+!> Subroutine calculating prognostic equations for chemical species (vector-optimized).
+!> Routine is called separately for each chemical species over a loop from prognostic_equations.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_prognostic_equations()
 
@@ -2945,5 +2950,5 @@
                    DO  k = nzb+1, nzt
                       chem_species(ilsp)%tconc_m(k,j,i) = - 9.5625_wp * tend(k,j,i)                &
-                           + 5.3125_wp * chem_species(ilsp)%tconc_m(k,j,i)
+                                                     + 5.3125_wp * chem_species(ilsp)%tconc_m(k,j,i)
                    ENDDO
                 ENDDO
@@ -2959,16 +2964,15 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Subroutine calculating prognostic equations for chemical species 
-!> (cache-optimized).
-!> Routine is called separately for each chemical species over a loop from
-!> prognostic_equations.
-!------------------------------------------------------------------------------!
+!> Subroutine calculating prognostic equations for chemical species (cache-optimized).
+!> Routine is called separately for each chemical species over a loop from prognostic_equations.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_prognostic_equations_ij( i, j, i_omp_start, tn )
 
 
     INTEGER(iwp),INTENT(IN) :: i, j, i_omp_start, tn
+
     INTEGER(iwp) :: ilsp
 !
@@ -3009,5 +3013,4 @@
 !
 !--    Diffusion terms (the last three arguments are zero)
-
        CALL diffusion_s( i, j, chem_species(ilsp)%conc,                                            &
             surf_def_h(0)%cssws(ilsp,:), surf_def_h(1)%cssws(ilsp,:),                              &
@@ -3033,6 +3036,6 @@
                )
 
-          IF ( chem_species(ilsp)%conc_p(k,j,i) < 0.0_wp )  THEN                
-             chem_species(ilsp)%conc_p(k,j,i) = 0.1_wp * chem_species(ilsp)%conc(k,j,i)    !FKS6                
+          IF ( chem_species(ilsp)%conc_p(k,j,i) < 0.0_wp )  THEN
+             chem_species(ilsp)%conc_p(k,j,i) = 0.1_wp * chem_species(ilsp)%conc(k,j,i)    !FKS6
           ENDIF
        ENDDO
@@ -3048,5 +3051,5 @@
              DO  k = nzb+1, nzt
                 chem_species(ilsp)%tconc_m(k,j,i) = -9.5625_wp * tend(k,j,i) +                     &
-                     5.3125_wp * chem_species(ilsp)%tconc_m(k,j,i)
+                                                     5.3125_wp * chem_species(ilsp)%tconc_m(k,j,i)
              ENDDO
           ENDIF
@@ -3058,37 +3061,36 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (Fortran binary format).
-!------------------------------------------------------------------------------!
- SUBROUTINE chem_rrd_local_ftn( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,             &
-                                nxr_on_file, nynf, nync, nyn_on_file, nysf, nysc,   &
-                                nys_on_file, tmp_3d, found )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE chem_rrd_local_ftn( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc, nxr_on_file, nynf, nync,   &
+                                nyn_on_file, nysf, nysc, nys_on_file, tmp_3d, found )
 
     USE control_parameters
 
-
+    INTEGER(iwp) ::  k               !<
     INTEGER(iwp) ::  lsp             !<
-    INTEGER(iwp) ::  k               !< 
-    INTEGER(iwp) ::  nxlc            !< 
-    INTEGER(iwp) ::  nxlf            !< 
-    INTEGER(iwp) ::  nxl_on_file     !<   
-    INTEGER(iwp) ::  nxrc            !< 
-    INTEGER(iwp) ::  nxrf            !< 
-    INTEGER(iwp) ::  nxr_on_file     !<   
-    INTEGER(iwp) ::  nync            !< 
-    INTEGER(iwp) ::  nynf            !< 
-    INTEGER(iwp) ::  nyn_on_file     !<   
-    INTEGER(iwp) ::  nysc            !< 
-    INTEGER(iwp) ::  nysf            !< 
-    INTEGER(iwp) ::  nys_on_file     !<   
-
-    LOGICAL, INTENT(OUT) :: found 
-
-    REAL(wp), DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d   !< 3D array to temp store data
-
-
-    found = .FALSE.  
+    INTEGER(iwp) ::  nxlc            !<
+    INTEGER(iwp) ::  nxlf            !<
+    INTEGER(iwp) ::  nxl_on_file     !<
+    INTEGER(iwp) ::  nxrc            !<
+    INTEGER(iwp) ::  nxrf            !<
+    INTEGER(iwp) ::  nxr_on_file     !<
+    INTEGER(iwp) ::  nync            !<
+    INTEGER(iwp) ::  nynf            !<
+    INTEGER(iwp) ::  nyn_on_file     !<
+    INTEGER(iwp) ::  nysc            !<
+    INTEGER(iwp) ::  nysf            !<
+    INTEGER(iwp) ::  nys_on_file     !<
+
+    LOGICAL, INTENT(OUT) :: found
+
+    REAL(wp), DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) &
+                 :: tmp_3d   !< 3D array to temp store data
+
+
+    found = .FALSE.
 
 
@@ -3123,9 +3125,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (Fortran binary format).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_rrd_local_mpi
 
@@ -3154,5 +3156,5 @@
 
 
-!-------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !> Description:
 !> Calculation of horizontally averaged profiles
@@ -3160,5 +3162,5 @@
 !> but at least for the region "total domain" (sr=0).
 !> quantities.
-!-------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_statistics( mode, sr, tn )
 
@@ -3169,21 +3171,20 @@
 
 
-    CHARACTER (LEN=*) ::  mode   !< 
+    CHARACTER (LEN=*) ::  mode   !<
 
     INTEGER(iwp) ::  i    !< running index on x-axis
     INTEGER(iwp) ::  j    !< running index on y-axis
     INTEGER(iwp) ::  k    !< vertical index counter
+    INTEGER(iwp) ::  lpr  !< running index chem spcs
     INTEGER(iwp) ::  sr   !< statistical region
-    INTEGER(iwp) ::  tn   !< thread number 
-    INTEGER(iwp) ::  lpr  !< running index chem spcs
+    INTEGER(iwp) ::  tn   !< thread number
 
     IF ( mode == 'profiles' )  THEN
        !
 !
-!--    Sample on how to calculate horizontally averaged profiles of user-
-!--    defined quantities. Each quantity is identified by the index
-!--    "pr_palm+#" where "#" is an integer starting from 1. These
-!--    user-profile-numbers must also be assigned to the respective strings
-!--    given by data_output_pr_cs in routine user_check_data_output_pr.
+!--    Sample on how to calculate horizontally averaged profiles of user-defined quantities. Each
+!--    quantity is identified by the index "pr_palm+#" where "#" is an integer starting from 1.
+!--    These user-profile-numbers must also be assigned to the respective strings given by
+!--    data_output_pr_cs in routine user_check_data_output_pr.
 !--    hom(:,:,:,:) =  dim-1 = vertical level, dim-2= 1: met-species,2:zu/zw, dim-3 = quantity( e.g.
 !--                     w*pt*), dim-4 = statistical region.
@@ -3195,8 +3196,8 @@
                 DO lpr = 1, cs_pr_count
 
-                   sums_l(k,pr_palm+max_pr_user+lpr,tn) = sums_l(k,pr_palm+max_pr_user+lpr,tn) +    &
-                        chem_species(cs_pr_index(lpr))%conc(k,j,i) *       &
-                        rmask(j,i,sr)  *                                   &
-                        MERGE( 1.0_wp, 0.0_wp,                             &
+                   sums_l(k,pr_palm+max_pr_user+lpr,tn) = sums_l(k,pr_palm+max_pr_user+lpr,tn) +   &
+                        chem_species(cs_pr_index(lpr))%conc(k,j,i) *                               &
+                        rmask(j,i,sr)  *                                                           &
+                        MERGE( 1.0_wp, 0.0_wp,                                                     &
                         BTEST( wall_flags_total_0(k,j,i), 22 ) )
                 ENDDO
@@ -3211,10 +3212,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Subroutine for swapping of timelevels for chemical species
-!> called out from subroutine swap_timelevel
-!------------------------------------------------------------------------------!
+!> Subroutine for swapping of timelevels for chemical species called out from subroutine
+!> swap_timelevel
+!--------------------------------------------------------------------------------------------------!
 
 
@@ -3224,15 +3225,15 @@
     INTEGER(iwp), INTENT(IN) ::  level
 !
-!-- local variables
+!-- Local variables
     INTEGER(iwp)             ::  lsp
 
 
     IF ( level == 0 )  THEN
-       DO  lsp=1, nvar                                       
+       DO  lsp=1, nvar
           chem_species(lsp)%conc(nzb:nzt+1,nysg:nyng,nxlg:nxrg)    => spec_conc_1(:,:,:,lsp)
           chem_species(lsp)%conc_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  => spec_conc_2(:,:,:,lsp)
        ENDDO
     ELSE
-       DO  lsp=1, nvar                                        
+       DO  lsp=1, nvar
           chem_species(lsp)%conc(nzb:nzt+1,nysg:nyng,nxlg:nxrg)    => spec_conc_2(:,:,:,lsp)
           chem_species(lsp)%conc_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  => spec_conc_1(:,:,:,lsp)
@@ -3244,13 +3245,13 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine to write restart data for chemistry model
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_wrd_local
 
 
-    INTEGER(iwp) ::  lsp  !< running index for chem spcs. 
+    INTEGER(iwp) ::  lsp  !< running index for chem spcs.
 
     IF ( TRIM( restart_data_format_output ) == 'fortran_binary' )  THEN
@@ -3279,34 +3280,32 @@
 
 
-!-------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Subroutine to calculate the deposition of gases and PMs. For now deposition
-!> only takes place on lsm and usm horizontal surfaces. Default surfaces are NOT
-!> considered. The deposition of particles is derived following Zhang et al.,
-!> 2001, gases are deposited using the DEPAC module (van Zanten et al., 2010).
-!>     
-!> @TODO: Consider deposition on vertical surfaces    
+!> Subroutine to calculate the deposition of gases and PMs. For now deposition only takes place on
+!> lsm and usm horizontal surfaces. Default surfaces are NOT considered. The deposition of particles
+!> is derived following Zhang et al., 2001, gases are deposited using the DEPAC module
+!> (van Zanten et al., 2010).
+!>
+!> @TODO: Consider deposition on vertical surfaces
 !> @TODO: Consider overlaying horizontal surfaces
-!> @TODO: Consider resolved vegetation    
+!> @TODO: Consider resolved vegetation
 !> @TODO: Check error messages
-!-------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_depo( i, j )
 
-    USE control_parameters,                                                 &   
-         ONLY:  dt_3d, intermediate_timestep_count, latitude,               &
-                time_since_reference_point
-
-    USE arrays_3d,                                                          &
+    USE control_parameters,                                                                        &
+         ONLY:  dt_3d, intermediate_timestep_count, latitude, time_since_reference_point
+
+    USE arrays_3d,                                                                                 &
          ONLY:  dzw, rho_air_zw
 
-    USE palm_date_time_mod,                                                 &
+    USE palm_date_time_mod,                                                                        &
          ONLY:  get_date_time
 
-    USE surface_mod,                                                        &
-         ONLY:  ind_pav_green, ind_veg_wall, ind_wat_win, surf_lsm_h,        &
-         surf_type, surf_usm_h
-
-    USE radiation_model_mod,                                                &
+    USE surface_mod,                                                                               &
+         ONLY:  ind_pav_green, ind_veg_wall, ind_wat_win, surf_lsm_h, surf_type, surf_usm_h
+
+    USE radiation_model_mod,                                                                       &
          ONLY:  cos_zenith
 
@@ -3314,13 +3313,20 @@
     INTEGER(iwp) ::  day_of_year                   !< current day of the year
     INTEGER(iwp), INTENT(IN) ::  i
+    INTEGER(iwp) ::  i_pspec                       !< index for matching depac gas component
     INTEGER(iwp), INTENT(IN) ::  j
     INTEGER(iwp) ::  k                             !< matching k to surface m at i,j
     INTEGER(iwp) ::  lsp                           !< running index for chem spcs.
-    INTEGER(iwp) ::  luv_palm                      !< index of PALM LSM vegetation_type at current surface element
-    INTEGER(iwp) ::  lup_palm                      !< index of PALM LSM pavement_type at current surface element
-    INTEGER(iwp) ::  luw_palm                      !< index of PALM LSM water_type at current surface element
-    INTEGER(iwp) ::  luu_palm                      !< index of PALM USM walls/roofs at current surface element
-    INTEGER(iwp) ::  lug_palm                      !< index of PALM USM green walls/roofs at current surface element
-    INTEGER(iwp) ::  lud_palm                      !< index of PALM USM windows at current surface element
+    INTEGER(iwp) ::  luv_palm                      !< index of PALM LSM vegetation_type at current
+                                                   !< surface element
+    INTEGER(iwp) ::  lup_palm                      !< index of PALM LSM pavement_type at current
+                                                   !< surface element
+    INTEGER(iwp) ::  luw_palm                      !< index of PALM LSM water_type at current
+                                                   !< surface element
+    INTEGER(iwp) ::  luu_palm                      !< index of PALM USM walls/roofs at current
+                                                   !< surface element
+    INTEGER(iwp) ::  lug_palm                      !< index of PALM USM green walls/roofs at current
+                                                   !< surface element
+    INTEGER(iwp) ::  lud_palm                      !< index of PALM USM windows at current surface
+                                                   !< element
     INTEGER(iwp) ::  luv_dep                       !< matching DEPAC LU to luv_palm
     INTEGER(iwp) ::  lup_dep                       !< matching DEPAC LU to lup_palm
@@ -3330,10 +3336,9 @@
     INTEGER(iwp) ::  lud_dep                       !< matching DEPAC LU to lud_palm
     INTEGER(iwp) ::  m                             !< index for horizontal surfaces
-
     INTEGER(iwp) ::  pspec                         !< running index
-    INTEGER(iwp) ::  i_pspec                       !< index for matching depac gas component
-!
-!-- Vegetation                                               !< Assign PALM classes to DEPAC land use classes
-    INTEGER(iwp) ::  ind_luv_user = 0                        !<  ERROR as no class given in PALM 
+!
+!-- Vegetation                                               !<  Assign PALM classes to DEPAC land
+                                                             !<  use classes
+    INTEGER(iwp) ::  ind_luv_user = 0                        !<  ERROR as no class given in PALM
     INTEGER(iwp) ::  ind_luv_b_soil = 1                      !<  assigned to ilu_desert
     INTEGER(iwp) ::  ind_luv_mixed_crops = 2                 !<  assigned to ilu_arable
@@ -3352,14 +3357,14 @@
     INTEGER(iwp) ::  ind_luv_ev_shrubs = 15                  !<  assigned to ilu_mediterrean_scrub
     INTEGER(iwp) ::  ind_luv_de_shrubs = 16                  !<  assigned to ilu_mediterrean_scrub
-    INTEGER(iwp) ::  ind_luv_mixed_forest = 17               !<  assigned to ilu_coniferous_forest (ave(decid+conif))
+    INTEGER(iwp) ::  ind_luv_mixed_forest = 17               !<  assigned to ilu_coniferous_forest(ave(decid+conif))
     INTEGER(iwp) ::  ind_luv_intrup_forest = 18              !<  assigned to ilu_other (ave(other+decid))
 !
 !-- Water
-    INTEGER(iwp) ::  ind_luw_user = 0                        !<  ERROR as no class given in PALM  
+    INTEGER(iwp) ::  ind_luw_user = 0                        !<  ERROR as no class given in PALM
     INTEGER(iwp) ::  ind_luw_lake = 1                        !<  assigned to ilu_water_inland
     INTEGER(iwp) ::  ind_luw_river = 2                       !<  assigned to ilu_water_inland
     INTEGER(iwp) ::  ind_luw_ocean = 3                       !<  assigned to ilu_water_sea
     INTEGER(iwp) ::  ind_luw_pond = 4                        !<  assigned to ilu_water_inland
-    INTEGER(iwp) ::  ind_luw_fountain = 5                    !<  assigned to ilu_water_inland 
+    INTEGER(iwp) ::  ind_luw_fountain = 5                    !<  assigned to ilu_water_inland
 !
 !-- Pavement
@@ -3369,9 +3374,9 @@
     INTEGER(iwp) ::  ind_lup_conc = 3                        !<  assigned to ilu_desert
     INTEGER(iwp) ::  ind_lup_sett = 4                        !<  assigned to ilu_desert
-    INTEGER(iwp) ::  ind_lup_pav_stones = 5                  !<  assigned to ilu_desert 
+    INTEGER(iwp) ::  ind_lup_pav_stones = 5                  !<  assigned to ilu_desert
     INTEGER(iwp) ::  ind_lup_cobblest = 6                    !<  assigned to ilu_desert
     INTEGER(iwp) ::  ind_lup_metal = 7                       !<  assigned to ilu_desert
     INTEGER(iwp) ::  ind_lup_wood = 8                        !<  assigned to ilu_desert
-    INTEGER(iwp) ::  ind_lup_gravel = 9                      !<  assigned to ilu_desert 
+    INTEGER(iwp) ::  ind_lup_gravel = 9                      !<  assigned to ilu_desert
     INTEGER(iwp) ::  ind_lup_f_gravel = 10                   !<  assigned to ilu_desert
     INTEGER(iwp) ::  ind_lup_pebblest = 11                   !<  assigned to ilu_desert
@@ -3385,64 +3390,66 @@
     INTEGER(iwp) ::  ind_p_dens = 2     !< index for rhopart in particle_pars
     INTEGER(iwp) ::  ind_p_slip = 3     !< index for slipcor in particle_pars
-
+    INTEGER(iwp) ::  nwet               !< wetness indicator dor DEPAC; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
     INTEGER(iwp) ::  part_type          !< index for particle type (PM10 or PM25) in particle_pars
 
-    INTEGER(iwp) ::  nwet               !< wetness indicator dor DEPAC; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
-
-    REAL(wp) ::  dt_chem                !< length of chem time step
-    REAL(wp) ::  dh                     !< vertical grid size 
-    REAL(wp) ::  inv_dh                 !< inverse of vertical grid size 
-    REAL(wp) ::  dt_dh                  !< dt_chem/dh
-
-    REAL(wp) ::  dens              !< density at layer k at i,j  
+
+    REAL(wp) ::  conc_ijk_ugm3     !< concentration at i, j, k in ug/m3
+    REAL(wp) ::  dens              !< density at layer k at i,j
+    REAL(wp) ::  dh                !< vertical grid size
+    REAL(wp) ::  diffusivity       !< diffusivity
+    REAL(wp) ::  dt_chem           !< length of chem time step
+    REAL(wp) ::  dt_dh             !< dt_chem/dh
+    REAL(wp) ::  inv_dh            !< inverse of vertical grid size
+    REAL(wp) ::  lai               !< leaf area index at current surface element
+    REAL(wp) ::  ppm2ugm3          !< conversion factor from ppm to ug/m3
+    REAL(wp) ::  qv_tmp            !< surface mixing ratio at current surface element
     REAL(wp) ::  r_aero_surf       !< aerodynamic resistance (s/m) at current surface element
+    REAL(wp) ::  rb                !< quasi-laminar boundary layer resistance (s/m)
+    REAL(wp) ::  rc_tot            !< total canopy resistance (s/m)
+    REAL(wp) ::  rh_surf           !< relative humidity at current surface element
+    REAL(wp) ::  rs                !< Sedimentaion resistance (s/m)
+    REAL(wp) ::  sai               !< surface area index at current surface element assumed to be
+                                   !< lai + 1
+    REAL(wp) ::  slinnfac
+    REAL(wp) ::  solar_rad         !< solar radiation, direct and diffuse, at current surface
+                                   !< element
+    REAL(wp) ::  temp_tmp          !< temperatur at i,j,k
+    REAL(wp) ::  ts                !< surface temperatur in degrees celsius
     REAL(wp) ::  ustar_surf        !< ustar at current surface element
-    REAL(wp) ::  z0h_surf          !< roughness length for heat at current surface element 
-    REAL(wp) ::  solar_rad         !< solar radiation, direct and diffuse, at current surface element 
-    REAL(wp) ::  ppm2ugm3          !< conversion factor from ppm to ug/m3
-    REAL(wp) ::  rh_surf           !< relative humidity at current surface element
-    REAL(wp) ::  lai               !< leaf area index at current surface element
-    REAL(wp) ::  sai               !< surface area index at current surface element assumed to be lai + 1
-
-    REAL(wp) ::  slinnfac        
+    REAL(wp) ::  vd_lu             !< deposition velocity (m/s)
     REAL(wp) ::  visc              !< Viscosity
     REAL(wp) ::  vs                !< Sedimentation velocity
-    REAL(wp) ::  vd_lu             !< deposition velocity (m/s)
-    REAL(wp) ::  rs                !< Sedimentaion resistance (s/m)
-    REAL(wp) ::  rb                !< quasi-laminar boundary layer resistance (s/m)
-    REAL(wp) ::  rc_tot            !< total canopy resistance (s/m)
-
-    REAL(wp) ::  conc_ijk_ugm3     !< concentration at i, j, k in ug/m3
-    REAL(wp) ::  diffusivity       !< diffusivity
-
-
-    REAL(wp), DIMENSION(nspec) ::  bud_luv      !< budget for LSM vegetation type at current surface element
-    REAL(wp), DIMENSION(nspec) ::  bud_lup      !< budget for LSM pavement type at current surface element
-    REAL(wp), DIMENSION(nspec) ::  bud_luw      !< budget for LSM water type at current surface element
-    REAL(wp), DIMENSION(nspec) ::  bud_luu      !< budget for USM walls/roofs at current surface element
-    REAL(wp), DIMENSION(nspec) ::  bud_lug      !< budget for USM green surfaces at current surface element
+    REAL(wp) ::  z0h_surf          !< roughness length for heat at current surface element
+
+    REAL(wp), DIMENSION(nspec) ::  bud          !< overall budget at current surface element
     REAL(wp), DIMENSION(nspec) ::  bud_lud      !< budget for USM windows at current surface element
-    REAL(wp), DIMENSION(nspec) ::  bud          !< overall budget at current surface element
+    REAL(wp), DIMENSION(nspec) ::  bud_lug      !< budget for USM green surfaces at current surface
+                                                !< element
+    REAL(wp), DIMENSION(nspec) ::  bud_lup      !< budget for LSM pavement type at current surface
+                                                !< element
+    REAL(wp), DIMENSION(nspec) ::  bud_luu      !< budget for USM walls/roofs at current surface
+                                                !< element
+    REAL(wp), DIMENSION(nspec) ::  bud_luv      !< budget for LSM vegetation type at current surface
+                                                !< element
+    REAL(wp), DIMENSION(nspec) ::  bud_luw      !< budget for LSM water type at current surface
+                                                !< element
+    REAL(wp), DIMENSION(nspec) ::  ccomp_tot    !< total compensation point (ug/m3), for now kept to
+                                                !< zero for all species!
     REAL(wp), DIMENSION(nspec) ::  conc_ijk     !< concentration at i,j,k
-    REAL(wp), DIMENSION(nspec) ::  ccomp_tot    !< total compensation point (ug/m3), for now kept to zero for all species!
-                                                  
-
-    REAL(wp) ::  temp_tmp       !< temperatur at i,j,k
-    REAL(wp) ::  ts             !< surface temperatur in degrees celsius
-    REAL(wp) ::  qv_tmp         !< surface mixing ratio at current surface element
-!
-!-- Particle parameters (PM10 (1), PM25 (2))
-!-- partsize (diameter in m), rhopart (density in kg/m3), slipcor
-!-- (slip correction factor dimensionless, Seinfeld and Pandis 2006, Table 9.3)
-    REAL(wp), DIMENSION(1:3,1:2), PARAMETER ::  particle_pars = RESHAPE( (/ &
-         8.0e-6_wp, 1.14e3_wp, 1.016_wp, &  !<  1
-         0.7e-6_wp, 1.14e3_wp, 1.082_wp &   !<  2
-         /), (/ 3, 2 /) )
-
+
+
+!
+!-- Particle parameters (PM10 (1), PM25 (2)) partsize (diameter in m), rhopart (density in kg/m3),
+!-- slipcor (slip correction factor dimensionless, Seinfeld and Pandis 2006, Table 9.3)
     LOGICAL ::  match_lsm     !< flag indicating natural-type surface
     LOGICAL ::  match_usm     !< flag indicating urban-type surface
+
+    REAL(wp), DIMENSION(1:3,1:2), PARAMETER ::  particle_pars = RESHAPE( (/                        &
+                                                         8.0e-6_wp, 1.14e3_wp, 1.016_wp, &   !<  1
+                                                         0.7e-6_wp, 1.14e3_wp, 1.082_wp  &   !<  2
+                                                         /), (/ 3, 2 /) )
 !
 !-- List of names of possible tracers
-    CHARACTER(LEN=*), PARAMETER ::  pspecnames(nposp) = (/ &
+    CHARACTER(LEN=*), PARAMETER ::  pspecnames(nposp) = (/                                         &
          'NO2           ', &    !< NO2
          'NO            ', &    !< NO
